export function PlSqlParserVisitor(): this;
export class PlSqlParserVisitor {
    constructor: typeof PlSqlParserVisitor;
    visitProgram(ctx: any): any;
    visitSql_script(ctx: any): any;
    visitUnit_statement(ctx: any): any;
    visitDrop_function(ctx: any): any;
    visitAlter_function(ctx: any): any;
    visitCreate_function_body(ctx: any): any;
    visitParallel_enable_clause(ctx: any): any;
    visitPartition_by_clause(ctx: any): any;
    visitResult_cache_clause(ctx: any): any;
    visitRelies_on_part(ctx: any): any;
    visitStreaming_clause(ctx: any): any;
    visitDrop_package(ctx: any): any;
    visitAlter_package(ctx: any): any;
    visitCreate_package(ctx: any): any;
    visitCreate_package_body(ctx: any): any;
    visitPackage_obj_spec(ctx: any): any;
    visitProcedure_spec(ctx: any): any;
    visitFunction_spec(ctx: any): any;
    visitPackage_obj_body(ctx: any): any;
    visitDrop_procedure(ctx: any): any;
    visitAlter_procedure(ctx: any): any;
    visitFunction_body(ctx: any): any;
    visitProcedure_body(ctx: any): any;
    visitCreate_procedure_body(ctx: any): any;
    visitDrop_trigger(ctx: any): any;
    visitAlter_trigger(ctx: any): any;
    visitCreate_trigger(ctx: any): any;
    visitTrigger_follows_clause(ctx: any): any;
    visitTrigger_when_clause(ctx: any): any;
    visitSimple_dml_trigger(ctx: any): any;
    visitFor_each_row(ctx: any): any;
    visitCompound_dml_trigger(ctx: any): any;
    visitNon_dml_trigger(ctx: any): any;
    visitTrigger_body(ctx: any): any;
    visitRoutine_clause(ctx: any): any;
    visitCompound_trigger_block(ctx: any): any;
    visitTiming_point_section(ctx: any): any;
    visitNon_dml_event(ctx: any): any;
    visitDml_event_clause(ctx: any): any;
    visitDml_event_element(ctx: any): any;
    visitDml_event_nested_clause(ctx: any): any;
    visitReferencing_clause(ctx: any): any;
    visitReferencing_element(ctx: any): any;
    visitDrop_type(ctx: any): any;
    visitAlter_type(ctx: any): any;
    visitCompile_type_clause(ctx: any): any;
    visitReplace_type_clause(ctx: any): any;
    visitAlter_method_spec(ctx: any): any;
    visitAlter_method_element(ctx: any): any;
    visitAlter_attribute_definition(ctx: any): any;
    visitAttribute_definition(ctx: any): any;
    visitAlter_collection_clauses(ctx: any): any;
    visitDependent_handling_clause(ctx: any): any;
    visitDependent_exceptions_part(ctx: any): any;
    visitCreate_type(ctx: any): any;
    visitType_definition(ctx: any): any;
    visitObject_type_def(ctx: any): any;
    visitObject_as_part(ctx: any): any;
    visitObject_under_part(ctx: any): any;
    visitNested_table_type_def(ctx: any): any;
    visitSqlj_object_type(ctx: any): any;
    visitType_body(ctx: any): any;
    visitType_body_elements(ctx: any): any;
    visitMap_order_func_declaration(ctx: any): any;
    visitSubprog_decl_in_type(ctx: any): any;
    visitProc_decl_in_type(ctx: any): any;
    visitFunc_decl_in_type(ctx: any): any;
    visitConstructor_declaration(ctx: any): any;
    visitModifier_clause(ctx: any): any;
    visitObject_member_spec(ctx: any): any;
    visitSqlj_object_type_attr(ctx: any): any;
    visitElement_spec(ctx: any): any;
    visitElement_spec_options(ctx: any): any;
    visitSubprogram_spec(ctx: any): any;
    visitOverriding_subprogram_spec(ctx: any): any;
    visitOverriding_function_spec(ctx: any): any;
    visitType_procedure_spec(ctx: any): any;
    visitType_function_spec(ctx: any): any;
    visitConstructor_spec(ctx: any): any;
    visitMap_order_function_spec(ctx: any): any;
    visitPragma_clause(ctx: any): any;
    visitPragma_elements(ctx: any): any;
    visitType_elements_parameter(ctx: any): any;
    visitDrop_sequence(ctx: any): any;
    visitAlter_sequence(ctx: any): any;
    visitAlter_session(ctx: any): any;
    visitAlter_session_set_clause(ctx: any): any;
    visitCreate_sequence(ctx: any): any;
    visitSequence_spec(ctx: any): any;
    visitSequence_start_clause(ctx: any): any;
    visitCreate_index(ctx: any): any;
    visitCluster_index_clause(ctx: any): any;
    visitCluster_name(ctx: any): any;
    visitTable_index_clause(ctx: any): any;
    visitBitmap_join_index_clause(ctx: any): any;
    visitIndex_expr(ctx: any): any;
    visitIndex_properties(ctx: any): any;
    visitDomain_index_clause(ctx: any): any;
    visitLocal_domain_index_clause(ctx: any): any;
    visitXmlindex_clause(ctx: any): any;
    visitLocal_xmlindex_clause(ctx: any): any;
    visitGlobal_partitioned_index(ctx: any): any;
    visitIndex_partitioning_clause(ctx: any): any;
    visitLocal_partitioned_index(ctx: any): any;
    visitOn_range_partitioned_table(ctx: any): any;
    visitOn_list_partitioned_table(ctx: any): any;
    visitPartitioned_table(ctx: any): any;
    visitOn_hash_partitioned_table(ctx: any): any;
    visitOn_hash_partitioned_clause(ctx: any): any;
    visitOn_comp_partitioned_table(ctx: any): any;
    visitOn_comp_partitioned_clause(ctx: any): any;
    visitIndex_subpartition_clause(ctx: any): any;
    visitIndex_subpartition_subclause(ctx: any): any;
    visitOdci_parameters(ctx: any): any;
    visitIndextype(ctx: any): any;
    visitAlter_index(ctx: any): any;
    visitAlter_index_ops_set1(ctx: any): any;
    visitAlter_index_ops_set2(ctx: any): any;
    visitVisible_or_invisible(ctx: any): any;
    visitMonitoring_nomonitoring(ctx: any): any;
    visitRebuild_clause(ctx: any): any;
    visitAlter_index_partitioning(ctx: any): any;
    visitModify_index_default_attrs(ctx: any): any;
    visitAdd_hash_index_partition(ctx: any): any;
    visitCoalesce_index_partition(ctx: any): any;
    visitModify_index_partition(ctx: any): any;
    visitModify_index_partitions_ops(ctx: any): any;
    visitRename_index_partition(ctx: any): any;
    visitDrop_index_partition(ctx: any): any;
    visitSplit_index_partition(ctx: any): any;
    visitIndex_partition_description(ctx: any): any;
    visitModify_index_subpartition(ctx: any): any;
    visitPartition_name_old(ctx: any): any;
    visitNew_partition_name(ctx: any): any;
    visitNew_index_name(ctx: any): any;
    visitCreate_user(ctx: any): any;
    visitAlter_user(ctx: any): any;
    visitAlter_identified_by(ctx: any): any;
    visitIdentified_by(ctx: any): any;
    visitIdentified_other_clause(ctx: any): any;
    visitUser_tablespace_clause(ctx: any): any;
    visitQuota_clause(ctx: any): any;
    visitProfile_clause(ctx: any): any;
    visitRole_clause(ctx: any): any;
    visitUser_default_role_clause(ctx: any): any;
    visitPassword_expire_clause(ctx: any): any;
    visitUser_lock_clause(ctx: any): any;
    visitUser_editions_clause(ctx: any): any;
    visitAlter_user_editions_clause(ctx: any): any;
    visitProxy_clause(ctx: any): any;
    visitContainer_names(ctx: any): any;
    visitSet_container_data(ctx: any): any;
    visitAdd_rem_container_data(ctx: any): any;
    visitContainer_data_clause(ctx: any): any;
    visitAnalyze(ctx: any): any;
    visitPartition_extention_clause(ctx: any): any;
    visitValidation_clauses(ctx: any): any;
    visitOnline_or_offline(ctx: any): any;
    visitInto_clause1(ctx: any): any;
    visitPartition_key_value(ctx: any): any;
    visitSubpartition_key_value(ctx: any): any;
    visitAssociate_statistics(ctx: any): any;
    visitColumn_association(ctx: any): any;
    visitFunction_association(ctx: any): any;
    visitIndextype_name(ctx: any): any;
    visitUsing_statistics_type(ctx: any): any;
    visitStatistics_type_name(ctx: any): any;
    visitDefault_cost_clause(ctx: any): any;
    visitCpu_cost(ctx: any): any;
    visitIo_cost(ctx: any): any;
    visitNetwork_cost(ctx: any): any;
    visitDefault_selectivity_clause(ctx: any): any;
    visitDefault_selectivity(ctx: any): any;
    visitStorage_table_clause(ctx: any): any;
    visitUnified_auditing(ctx: any): any;
    visitPolicy_name(ctx: any): any;
    visitAudit_traditional(ctx: any): any;
    visitAudit_direct_path(ctx: any): any;
    visitAudit_container_clause(ctx: any): any;
    visitAudit_operation_clause(ctx: any): any;
    visitAuditing_by_clause(ctx: any): any;
    visitAudit_user(ctx: any): any;
    visitAudit_schema_object_clause(ctx: any): any;
    visitSql_operation(ctx: any): any;
    visitAuditing_on_clause(ctx: any): any;
    visitModel_name(ctx: any): any;
    visitObject_name(ctx: any): any;
    visitProfile_name(ctx: any): any;
    visitSql_statement_shortcut(ctx: any): any;
    visitDrop_index(ctx: any): any;
    visitRename_object(ctx: any): any;
    visitGrant_statement(ctx: any): any;
    visitContainer_clause(ctx: any): any;
    visitCreate_directory(ctx: any): any;
    visitDirectory_name(ctx: any): any;
    visitDirectory_path(ctx: any): any;
    visitAlter_library(ctx: any): any;
    visitLibrary_editionable(ctx: any): any;
    visitLibrary_debug(ctx: any): any;
    visitCompiler_parameters_clause(ctx: any): any;
    visitParameter_value(ctx: any): any;
    visitLibrary_name(ctx: any): any;
    visitAlter_view(ctx: any): any;
    visitAlter_view_editionable(ctx: any): any;
    visitCreate_view(ctx: any): any;
    visitView_options(ctx: any): any;
    visitView_alias_constraint(ctx: any): any;
    visitObject_view_clause(ctx: any): any;
    visitInline_constraint(ctx: any): any;
    visitInline_ref_constraint(ctx: any): any;
    visitOut_of_line_ref_constraint(ctx: any): any;
    visitOut_of_line_constraint(ctx: any): any;
    visitConstraint_state(ctx: any): any;
    visitAlter_tablespace(ctx: any): any;
    visitDatafile_tempfile_clauses(ctx: any): any;
    visitTablespace_logging_clauses(ctx: any): any;
    visitTablespace_group_clause(ctx: any): any;
    visitTablespace_group_name(ctx: any): any;
    visitTablespace_state_clauses(ctx: any): any;
    visitFlashback_mode_clause(ctx: any): any;
    visitNew_tablespace_name(ctx: any): any;
    visitCreate_tablespace(ctx: any): any;
    visitPermanent_tablespace_clause(ctx: any): any;
    visitTablespace_encryption_spec(ctx: any): any;
    visitLogging_clause(ctx: any): any;
    visitExtent_management_clause(ctx: any): any;
    visitSegment_management_clause(ctx: any): any;
    visitTemporary_tablespace_clause(ctx: any): any;
    visitUndo_tablespace_clause(ctx: any): any;
    visitTablespace_retention_clause(ctx: any): any;
    visitDatafile_specification(ctx: any): any;
    visitTempfile_specification(ctx: any): any;
    visitDatafile_tempfile_spec(ctx: any): any;
    visitRedo_log_file_spec(ctx: any): any;
    visitAutoextend_clause(ctx: any): any;
    visitMaxsize_clause(ctx: any): any;
    visitBuild_clause(ctx: any): any;
    visitParallel_clause(ctx: any): any;
    visitAlter_materialized_view(ctx: any): any;
    visitAlter_mv_option1(ctx: any): any;
    visitAlter_mv_refresh(ctx: any): any;
    visitRollback_segment(ctx: any): any;
    visitModify_mv_column_clause(ctx: any): any;
    visitAlter_materialized_view_log(ctx: any): any;
    visitAdd_mv_log_column_clause(ctx: any): any;
    visitMove_mv_log_clause(ctx: any): any;
    visitMv_log_augmentation(ctx: any): any;
    visitDatetime_expr(ctx: any): any;
    visitInterval_expr(ctx: any): any;
    visitSynchronous_or_asynchronous(ctx: any): any;
    visitIncluding_or_excluding(ctx: any): any;
    visitCreate_materialized_view_log(ctx: any): any;
    visitNew_values_clause(ctx: any): any;
    visitMv_log_purge_clause(ctx: any): any;
    visitCreate_materialized_view(ctx: any): any;
    visitCreate_mv_refresh(ctx: any): any;
    visitCreate_context(ctx: any): any;
    visitOracle_namespace(ctx: any): any;
    visitCreate_cluster(ctx: any): any;
    visitCreate_table(ctx: any): any;
    visitXmltype_table(ctx: any): any;
    visitXmltype_virtual_columns(ctx: any): any;
    visitXmltype_column_properties(ctx: any): any;
    visitXmltype_storage(ctx: any): any;
    visitXmlschema_spec(ctx: any): any;
    visitObject_table(ctx: any): any;
    visitOid_index_clause(ctx: any): any;
    visitOid_clause(ctx: any): any;
    visitObject_properties(ctx: any): any;
    visitObject_table_substitution(ctx: any): any;
    visitRelational_table(ctx: any): any;
    visitRelational_property(ctx: any): any;
    visitTable_partitioning_clauses(ctx: any): any;
    visitRange_partitions(ctx: any): any;
    visitList_partitions(ctx: any): any;
    visitHash_partitions(ctx: any): any;
    visitIndividual_hash_partitions(ctx: any): any;
    visitHash_partitions_by_quantity(ctx: any): any;
    visitHash_partition_quantity(ctx: any): any;
    visitComposite_range_partitions(ctx: any): any;
    visitComposite_list_partitions(ctx: any): any;
    visitComposite_hash_partitions(ctx: any): any;
    visitReference_partitioning(ctx: any): any;
    visitReference_partition_desc(ctx: any): any;
    visitSystem_partitioning(ctx: any): any;
    visitRange_partition_desc(ctx: any): any;
    visitList_partition_desc(ctx: any): any;
    visitSubpartition_template(ctx: any): any;
    visitHash_subpartition_quantity(ctx: any): any;
    visitSubpartition_by_range(ctx: any): any;
    visitSubpartition_by_list(ctx: any): any;
    visitSubpartition_by_hash(ctx: any): any;
    visitSubpartition_name(ctx: any): any;
    visitRange_subpartition_desc(ctx: any): any;
    visitList_subpartition_desc(ctx: any): any;
    visitIndividual_hash_subparts(ctx: any): any;
    visitHash_subparts_by_quantity(ctx: any): any;
    visitRange_values_clause(ctx: any): any;
    visitList_values_clause(ctx: any): any;
    visitTable_partition_description(ctx: any): any;
    visitPartitioning_storage_clause(ctx: any): any;
    visitLob_partitioning_storage(ctx: any): any;
    visitDatatype_null_enable(ctx: any): any;
    visitSize_clause(ctx: any): any;
    visitTable_compression(ctx: any): any;
    visitPhysical_attributes_clause(ctx: any): any;
    visitStorage_clause(ctx: any): any;
    visitDeferred_segment_creation(ctx: any): any;
    visitSegment_attributes_clause(ctx: any): any;
    visitPhysical_properties(ctx: any): any;
    visitRow_movement_clause(ctx: any): any;
    visitFlashback_archive_clause(ctx: any): any;
    visitLog_grp(ctx: any): any;
    visitSupplemental_table_logging(ctx: any): any;
    visitSupplemental_log_grp_clause(ctx: any): any;
    visitSupplemental_id_key_clause(ctx: any): any;
    visitAllocate_extent_clause(ctx: any): any;
    visitDeallocate_unused_clause(ctx: any): any;
    visitShrink_clause(ctx: any): any;
    visitRecords_per_block_clause(ctx: any): any;
    visitUpgrade_table_clause(ctx: any): any;
    visitDrop_table(ctx: any): any;
    visitDrop_view(ctx: any): any;
    visitComment_on_column(ctx: any): any;
    visitEnable_or_disable(ctx: any): any;
    visitAllow_or_disallow(ctx: any): any;
    visitCreate_synonym(ctx: any): any;
    visitComment_on_table(ctx: any): any;
    visitAlter_cluster(ctx: any): any;
    visitCache_or_nocache(ctx: any): any;
    visitDatabase_name(ctx: any): any;
    visitAlter_database(ctx: any): any;
    visitStartup_clauses(ctx: any): any;
    visitResetlogs_or_noresetlogs(ctx: any): any;
    visitUpgrade_or_downgrade(ctx: any): any;
    visitRecovery_clauses(ctx: any): any;
    visitBegin_or_end(ctx: any): any;
    visitGeneral_recovery(ctx: any): any;
    visitFull_database_recovery(ctx: any): any;
    visitPartial_database_recovery(ctx: any): any;
    visitPartial_database_recovery_10g(ctx: any): any;
    visitManaged_standby_recovery(ctx: any): any;
    visitDb_name(ctx: any): any;
    visitDatabase_file_clauses(ctx: any): any;
    visitCreate_datafile_clause(ctx: any): any;
    visitAlter_datafile_clause(ctx: any): any;
    visitAlter_tempfile_clause(ctx: any): any;
    visitLogfile_clauses(ctx: any): any;
    visitAdd_logfile_clauses(ctx: any): any;
    visitLog_file_group(ctx: any): any;
    visitDrop_logfile_clauses(ctx: any): any;
    visitSwitch_logfile_clause(ctx: any): any;
    visitSupplemental_db_logging(ctx: any): any;
    visitAdd_or_drop(ctx: any): any;
    visitSupplemental_plsql_clause(ctx: any): any;
    visitLogfile_descriptor(ctx: any): any;
    visitControlfile_clauses(ctx: any): any;
    visitTrace_file_clause(ctx: any): any;
    visitStandby_database_clauses(ctx: any): any;
    visitActivate_standby_db_clause(ctx: any): any;
    visitMaximize_standby_db_clause(ctx: any): any;
    visitRegister_logfile_clause(ctx: any): any;
    visitCommit_switchover_clause(ctx: any): any;
    visitStart_standby_clause(ctx: any): any;
    visitStop_standby_clause(ctx: any): any;
    visitConvert_database_clause(ctx: any): any;
    visitDefault_settings_clause(ctx: any): any;
    visitSet_time_zone_clause(ctx: any): any;
    visitInstance_clauses(ctx: any): any;
    visitSecurity_clause(ctx: any): any;
    visitDomain(ctx: any): any;
    visitDatabase(ctx: any): any;
    visitEdition_name(ctx: any): any;
    visitFilenumber(ctx: any): any;
    visitFilename(ctx: any): any;
    visitAlter_table(ctx: any): any;
    visitAlter_table_properties(ctx: any): any;
    visitAlter_table_properties_1(ctx: any): any;
    visitAlter_iot_clauses(ctx: any): any;
    visitAlter_mapping_table_clause(ctx: any): any;
    visitAlter_overflow_clause(ctx: any): any;
    visitAdd_overflow_clause(ctx: any): any;
    visitEnable_disable_clause(ctx: any): any;
    visitUsing_index_clause(ctx: any): any;
    visitIndex_attributes(ctx: any): any;
    visitSort_or_nosort(ctx: any): any;
    visitExceptions_clause(ctx: any): any;
    visitMove_table_clause(ctx: any): any;
    visitIndex_org_table_clause(ctx: any): any;
    visitMapping_table_clause(ctx: any): any;
    visitKey_compression(ctx: any): any;
    visitIndex_org_overflow_clause(ctx: any): any;
    visitColumn_clauses(ctx: any): any;
    visitModify_collection_retrieval(ctx: any): any;
    visitCollection_item(ctx: any): any;
    visitRename_column_clause(ctx: any): any;
    visitOld_column_name(ctx: any): any;
    visitNew_column_name(ctx: any): any;
    visitAdd_modify_drop_column_clauses(ctx: any): any;
    visitDrop_column_clause(ctx: any): any;
    visitModify_column_clauses(ctx: any): any;
    visitModify_col_properties(ctx: any): any;
    visitModify_col_substitutable(ctx: any): any;
    visitAdd_column_clause(ctx: any): any;
    visitAlter_varray_col_properties(ctx: any): any;
    visitVarray_col_properties(ctx: any): any;
    visitVarray_storage_clause(ctx: any): any;
    visitLob_segname(ctx: any): any;
    visitLob_item(ctx: any): any;
    visitLob_storage_parameters(ctx: any): any;
    visitLob_storage_clause(ctx: any): any;
    visitModify_lob_storage_clause(ctx: any): any;
    visitModify_lob_parameters(ctx: any): any;
    visitLob_parameters(ctx: any): any;
    visitLob_deduplicate_clause(ctx: any): any;
    visitLob_compression_clause(ctx: any): any;
    visitLob_retention_clause(ctx: any): any;
    visitEncryption_spec(ctx: any): any;
    visitTablespace(ctx: any): any;
    visitVarray_item(ctx: any): any;
    visitColumn_properties(ctx: any): any;
    visitPeriod_definition(ctx: any): any;
    visitStart_time_column(ctx: any): any;
    visitEnd_time_column(ctx: any): any;
    visitColumn_definition(ctx: any): any;
    visitVirtual_column_definition(ctx: any): any;
    visitAutogenerated_sequence_definition(ctx: any): any;
    visitOut_of_line_part_storage(ctx: any): any;
    visitNested_table_col_properties(ctx: any): any;
    visitNested_item(ctx: any): any;
    visitSubstitutable_column_clause(ctx: any): any;
    visitPartition_name(ctx: any): any;
    visitSupplemental_logging_props(ctx: any): any;
    visitColumn_or_attribute(ctx: any): any;
    visitObject_type_col_properties(ctx: any): any;
    visitConstraint_clauses(ctx: any): any;
    visitOld_constraint_name(ctx: any): any;
    visitNew_constraint_name(ctx: any): any;
    visitDrop_constraint_clause(ctx: any): any;
    visitDrop_primary_key_or_unique_or_generic_clause(ctx: any): any;
    visitAdd_constraint(ctx: any): any;
    visitAdd_constraint_clause(ctx: any): any;
    visitCheck_constraint(ctx: any): any;
    visitDrop_constraint(ctx: any): any;
    visitEnable_constraint(ctx: any): any;
    visitDisable_constraint(ctx: any): any;
    visitForeign_key_clause(ctx: any): any;
    visitReferences_clause(ctx: any): any;
    visitOn_delete_clause(ctx: any): any;
    visitUnique_key_clause(ctx: any): any;
    visitPrimary_key_clause(ctx: any): any;
    visitAnonymous_block(ctx: any): any;
    visitInvoker_rights_clause(ctx: any): any;
    visitCall_spec(ctx: any): any;
    visitJava_spec(ctx: any): any;
    visitC_spec(ctx: any): any;
    visitC_agent_in_clause(ctx: any): any;
    visitC_parameters_clause(ctx: any): any;
    visitParameter(ctx: any): any;
    visitDefault_value_part(ctx: any): any;
    visitSeq_of_declare_specs(ctx: any): any;
    visitDeclare_spec(ctx: any): any;
    visitVariable_declaration(ctx: any): any;
    visitSubtype_declaration(ctx: any): any;
    visitCursor_declaration(ctx: any): any;
    visitParameter_spec(ctx: any): any;
    visitException_declaration(ctx: any): any;
    visitPragma_declaration(ctx: any): any;
    visitRecord_type_def(ctx: any): any;
    visitField_spec(ctx: any): any;
    visitRef_cursor_type_def(ctx: any): any;
    visitType_declaration(ctx: any): any;
    visitTable_type_def(ctx: any): any;
    visitTable_indexed_by_part(ctx: any): any;
    visitVarray_type_def(ctx: any): any;
    visitSeq_of_statements(ctx: any): any;
    visitLabel_declaration(ctx: any): any;
    visitStatement(ctx: any): any;
    visitSwallow_to_semi(ctx: any): any;
    visitAssignment_statement(ctx: any): any;
    visitContinue_statement(ctx: any): any;
    visitExit_statement(ctx: any): any;
    visitGoto_statement(ctx: any): any;
    visitIf_statement(ctx: any): any;
    visitElsif_part(ctx: any): any;
    visitElse_part(ctx: any): any;
    visitLoop_statement(ctx: any): any;
    visitCursor_loop_param(ctx: any): any;
    visitForall_statement(ctx: any): any;
    visitBounds_clause(ctx: any): any;
    visitBetween_bound(ctx: any): any;
    visitLower_bound(ctx: any): any;
    visitUpper_bound(ctx: any): any;
    visitNull_statement(ctx: any): any;
    visitRaise_statement(ctx: any): any;
    visitReturn_statement(ctx: any): any;
    visitFunction_call(ctx: any): any;
    visitProcedure_call(ctx: any): any;
    visitPipe_row_statement(ctx: any): any;
    visitBody(ctx: any): any;
    visitException_handler(ctx: any): any;
    visitTrigger_block(ctx: any): any;
    visitBlock(ctx: any): any;
    visitSql_statement(ctx: any): any;
    visitExecute_immediate(ctx: any): any;
    visitDynamic_returning_clause(ctx: any): any;
    visitData_manipulation_language_statements(ctx: any): any;
    visitCursor_manipulation_statements(ctx: any): any;
    visitClose_statement(ctx: any): any;
    visitOpen_statement(ctx: any): any;
    visitFetch_statement(ctx: any): any;
    visitOpen_for_statement(ctx: any): any;
    visitTransaction_control_statements(ctx: any): any;
    visitSet_transaction_command(ctx: any): any;
    visitSet_constraint_command(ctx: any): any;
    visitCommit_statement(ctx: any): any;
    visitWrite_clause(ctx: any): any;
    visitRollback_statement(ctx: any): any;
    visitSavepoint_statement(ctx: any): any;
    visitExplain_statement(ctx: any): any;
    visitSelect_only_statement(ctx: any): any;
    visitSelect_statement(ctx: any): any;
    visitSubquery_factoring_clause(ctx: any): any;
    visitFactoring_element(ctx: any): any;
    visitSearch_clause(ctx: any): any;
    visitCycle_clause(ctx: any): any;
    visitSubquery(ctx: any): any;
    visitSubquery_basic_elements(ctx: any): any;
    visitSubquery_operation_part(ctx: any): any;
    visitQuery_block(ctx: any): any;
    visitSelected_list(ctx: any): any;
    visitFrom_clause(ctx: any): any;
    visitSelect_list_elements(ctx: any): any;
    visitTable_ref_list(ctx: any): any;
    visitTable_ref(ctx: any): any;
    visitTable_ref_aux(ctx: any): any;
    visitTable_ref_aux_internal_one(ctx: any): any;
    visitTable_ref_aux_internal_two(ctx: any): any;
    visitTable_ref_aux_internal_three(ctx: any): any;
    visitJoin_clause(ctx: any): any;
    visitJoin_on_part(ctx: any): any;
    visitJoin_using_part(ctx: any): any;
    visitOuter_join_type(ctx: any): any;
    visitQuery_partition_clause(ctx: any): any;
    visitFlashback_query_clause(ctx: any): any;
    visitPivot_clause(ctx: any): any;
    visitPivot_element(ctx: any): any;
    visitPivot_for_clause(ctx: any): any;
    visitPivot_in_clause(ctx: any): any;
    visitPivot_in_clause_element(ctx: any): any;
    visitPivot_in_clause_elements(ctx: any): any;
    visitUnpivot_clause(ctx: any): any;
    visitUnpivot_in_clause(ctx: any): any;
    visitUnpivot_in_elements(ctx: any): any;
    visitHierarchical_query_clause(ctx: any): any;
    visitStart_part(ctx: any): any;
    visitGroup_by_clause(ctx: any): any;
    visitGroup_by_elements(ctx: any): any;
    visitRollup_cube_clause(ctx: any): any;
    visitGrouping_sets_clause(ctx: any): any;
    visitGrouping_sets_elements(ctx: any): any;
    visitHaving_clause(ctx: any): any;
    visitModel_clause(ctx: any): any;
    visitCell_reference_options(ctx: any): any;
    visitReturn_rows_clause(ctx: any): any;
    visitReference_model(ctx: any): any;
    visitMain_model(ctx: any): any;
    visitModel_column_clauses(ctx: any): any;
    visitModel_column_partition_part(ctx: any): any;
    visitModel_column_list(ctx: any): any;
    visitModel_column(ctx: any): any;
    visitModel_rules_clause(ctx: any): any;
    visitModel_rules_part(ctx: any): any;
    visitModel_rules_element(ctx: any): any;
    visitCell_assignment(ctx: any): any;
    visitModel_iterate_clause(ctx: any): any;
    visitUntil_part(ctx: any): any;
    visitOrder_by_clause(ctx: any): any;
    visitOrder_by_elements(ctx: any): any;
    visitOffset_clause(ctx: any): any;
    visitFetch_clause(ctx: any): any;
    visitFor_update_clause(ctx: any): any;
    visitFor_update_of_part(ctx: any): any;
    visitFor_update_options(ctx: any): any;
    visitUpdate_statement(ctx: any): any;
    visitUpdate_set_clause(ctx: any): any;
    visitColumn_based_update_set_clause(ctx: any): any;
    visitDelete_statement(ctx: any): any;
    visitInsert_statement(ctx: any): any;
    visitSingle_table_insert(ctx: any): any;
    visitMulti_table_insert(ctx: any): any;
    visitMulti_table_element(ctx: any): any;
    visitConditional_insert_clause(ctx: any): any;
    visitConditional_insert_when_part(ctx: any): any;
    visitConditional_insert_else_part(ctx: any): any;
    visitInsert_into_clause(ctx: any): any;
    visitValues_clause(ctx: any): any;
    visitMerge_statement(ctx: any): any;
    visitMerge_update_clause(ctx: any): any;
    visitMerge_element(ctx: any): any;
    visitMerge_update_delete_part(ctx: any): any;
    visitMerge_insert_clause(ctx: any): any;
    visitSelected_tableview(ctx: any): any;
    visitLock_table_statement(ctx: any): any;
    visitWait_nowait_part(ctx: any): any;
    visitLock_table_element(ctx: any): any;
    visitLock_mode(ctx: any): any;
    visitGeneral_table_ref(ctx: any): any;
    visitStatic_returning_clause(ctx: any): any;
    visitError_logging_clause(ctx: any): any;
    visitError_logging_into_part(ctx: any): any;
    visitError_logging_reject_part(ctx: any): any;
    visitDml_table_expression_clause(ctx: any): any;
    visitTable_collection_expression(ctx: any): any;
    visitSubquery_restriction_clause(ctx: any): any;
    visitSample_clause(ctx: any): any;
    visitSeed_part(ctx: any): any;
    visitCondition(ctx: any): any;
    visitExpressions(ctx: any): any;
    visitExpression(ctx: any): any;
    visitCursor_expression(ctx: any): any;
    visitLogical_expression(ctx: any): any;
    visitUnary_logical_expression(ctx: any): any;
    visitLogical_operation(ctx: any): any;
    visitMultiset_expression(ctx: any): any;
    visitRelational_expression(ctx: any): any;
    visitCompound_expression(ctx: any): any;
    visitRelational_operator(ctx: any): any;
    visitIn_elements(ctx: any): any;
    visitBetween_elements(ctx: any): any;
    visitConcatenation(ctx: any): any;
    visitInterval_expression(ctx: any): any;
    visitModel_expression(ctx: any): any;
    visitModel_expression_element(ctx: any): any;
    visitSingle_column_for_loop(ctx: any): any;
    visitMulti_column_for_loop(ctx: any): any;
    visitUnary_expression(ctx: any): any;
    visitCase_statement(ctx: any): any;
    visitSimple_case_statement(ctx: any): any;
    visitSimple_case_when_part(ctx: any): any;
    visitSearched_case_statement(ctx: any): any;
    visitSearched_case_when_part(ctx: any): any;
    visitCase_else_part(ctx: any): any;
    visitAtom(ctx: any): any;
    visitQuantified_expression(ctx: any): any;
    visitString_function(ctx: any): any;
    visitStandard_function(ctx: any): any;
    visitLiteral(ctx: any): any;
    visitNumeric_function_wrapper(ctx: any): any;
    visitNumeric_function(ctx: any): any;
    visitOther_function(ctx: any): any;
    visitOver_clause_keyword(ctx: any): any;
    visitWithin_or_over_clause_keyword(ctx: any): any;
    visitStandard_prediction_function_keyword(ctx: any): any;
    visitOver_clause(ctx: any): any;
    visitWindowing_clause(ctx: any): any;
    visitWindowing_type(ctx: any): any;
    visitWindowing_elements(ctx: any): any;
    visitUsing_clause(ctx: any): any;
    visitUsing_element(ctx: any): any;
    visitCollect_order_by_part(ctx: any): any;
    visitWithin_or_over_part(ctx: any): any;
    visitCost_matrix_clause(ctx: any): any;
    visitXml_passing_clause(ctx: any): any;
    visitXml_attributes_clause(ctx: any): any;
    visitXml_namespaces_clause(ctx: any): any;
    visitXml_table_column(ctx: any): any;
    visitXml_general_default_part(ctx: any): any;
    visitXml_multiuse_expression_element(ctx: any): any;
    visitXmlroot_param_version_part(ctx: any): any;
    visitXmlroot_param_standalone_part(ctx: any): any;
    visitXmlserialize_param_enconding_part(ctx: any): any;
    visitXmlserialize_param_version_part(ctx: any): any;
    visitXmlserialize_param_ident_part(ctx: any): any;
    visitSql_plus_command(ctx: any): any;
    visitWhenever_command(ctx: any): any;
    visitSet_command(ctx: any): any;
    visitPartition_extension_clause(ctx: any): any;
    visitColumn_alias(ctx: any): any;
    visitTable_alias(ctx: any): any;
    visitWhere_clause(ctx: any): any;
    visitInto_clause(ctx: any): any;
    visitXml_column_name(ctx: any): any;
    visitCost_class_name(ctx: any): any;
    visitAttribute_name(ctx: any): any;
    visitSavepoint_name(ctx: any): any;
    visitRollback_segment_name(ctx: any): any;
    visitTable_var_name(ctx: any): any;
    visitSchema_name(ctx: any): any;
    visitRoutine_name(ctx: any): any;
    visitPackage_name(ctx: any): any;
    visitImplementation_type_name(ctx: any): any;
    visitParameter_name(ctx: any): any;
    visitReference_model_name(ctx: any): any;
    visitMain_model_name(ctx: any): any;
    visitContainer_tableview_name(ctx: any): any;
    visitAggregate_function_name(ctx: any): any;
    visitQuery_name(ctx: any): any;
    visitGrantee_name(ctx: any): any;
    visitRole_name(ctx: any): any;
    visitConstraint_name(ctx: any): any;
    visitLabel_name(ctx: any): any;
    visitType_name(ctx: any): any;
    visitSequence_name(ctx: any): any;
    visitException_name(ctx: any): any;
    visitFunction_name(ctx: any): any;
    visitProcedure_name(ctx: any): any;
    visitTrigger_name(ctx: any): any;
    visitVariable_name(ctx: any): any;
    visitIndex_name(ctx: any): any;
    visitCursor_name(ctx: any): any;
    visitRecord_name(ctx: any): any;
    visitCollection_name(ctx: any): any;
    visitLink_name(ctx: any): any;
    visitColumn_name(ctx: any): any;
    visitTableview_name(ctx: any): any;
    visitXmltable(ctx: any): any;
    visitChar_set_name(ctx: any): any;
    visitSynonym_name(ctx: any): any;
    visitSchema_object_name(ctx: any): any;
    visitDir_object_name(ctx: any): any;
    visitUser_object_name(ctx: any): any;
    visitGrant_object_name(ctx: any): any;
    visitColumn_list(ctx: any): any;
    visitParen_column_list(ctx: any): any;
    visitKeep_clause(ctx: any): any;
    visitFunction_argument(ctx: any): any;
    visitFunction_argument_analytic(ctx: any): any;
    visitFunction_argument_modeling(ctx: any): any;
    visitRespect_or_ignore_nulls(ctx: any): any;
    visitArgument(ctx: any): any;
    visitType_spec(ctx: any): any;
    visitDatatype(ctx: any): any;
    visitPrecision_part(ctx: any): any;
    visitNative_datatype_element(ctx: any): any;
    visitBind_variable(ctx: any): any;
    visitGeneral_element(ctx: any): any;
    visitGeneral_element_part(ctx: any): any;
    visitTable_element(ctx: any): any;
    visitObject_privilege(ctx: any): any;
    visitSystem_privilege(ctx: any): any;
    visitConstant(ctx: any): any;
    visitNumeric(ctx: any): any;
    visitNumeric_negative(ctx: any): any;
    visitQuoted_string(ctx: any): any;
    visitIdentifier(ctx: any): any;
    visitId_expression(ctx: any): any;
    visitOuter_join_sign(ctx: any): any;
    visitRegular_id(ctx: any): any;
    visitNon_reserved_keywords_in_12c(ctx: any): any;
    visitNon_reserved_keywords_pre12c(ctx: any): any;
    visitString_function_name(ctx: any): any;
    visitNumeric_function_name(ctx: any): any;
}
